aboutsummaryrefslogtreecommitdiff
path: root/deploy
diff options
context:
space:
mode:
authorJoris2020-01-28 09:55:58 +0100
committerJoris2020-01-29 10:12:31 +0100
commit1b6a7e0d00703e3da2e1620b5a2b2cba027161de (patch)
tree5143f784e1529d3b6c04116c84f09c426bb257b0 /deploy
parent197b6fa7aa810147d63209408c3a378ec552d0f4 (diff)
Implement game of life
Diffstat (limited to 'deploy')
-rwxr-xr-xdeploy16
1 files changed, 16 insertions, 0 deletions
diff --git a/deploy b/deploy
new file mode 100755
index 0000000..b3c6d61
--- /dev/null
+++ b/deploy
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+set -e
+git branch -D pages
+git checkout -b pages
+rm -f public/game_of_life.js
+rm -f public/game_of_life_bg.wasm
+rm -f public/game_of_life_bg.wasm.gz
+wasm-pack build --release --target web
+mv pkg/game_of_life.js public
+wasm-opt -O -o public/game_of_life_bg.wasm pkg/game_of_life_bg.wasm
+gzip -9 --keep public/game_of_life_bg.wasm
+git add .
+git commit -m "Deploy pages"
+git push --force origin pages
+git checkout master
+git branch -D pages